/*
 * This class saves the characters in the selection but maintains
 * another start/end pair so the visible selection can be different
 * than the characters that were saved.
 */

@interface CutSelection : TextSelection
{
    int visibleStart;		/* start of selection to be shown */
    int visibleEnd;		/* end of selection to be shown */
}

/* Creation method */

- initText:aView start:(int)aPos end:(int)anotherPos;

/* Public methods */

- install;
- (int)visibleLength;
- setVisible:(int)start :(int)end;

@end
